## ==========================================================================
##  Convert cytoFrame and cytoSet object to FSC object and vice versa
##
##  Nolwenn Le Meur May 11,2006
## - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

setAs("cytoFrame", "FCS", function(from,to) {

	y <- new(to)
	ifposlen <- function(x) if(length(x)) return(x) else return(NULL)
	y@data <- ifposlen(from@exprs)
        dimnames(y@data) <-  dimnames(from@exprs)
        y@metadata@mode <- from@description["$MODE"]
        y@metadata@nparam <- as.numeric(from@description["$PAR"])
        y@metadata@fcsinfo <- as.list(from@description)
        y
    })


setAs("FCS", "cytoFrame", function(from,to) {
    	y <- new(to)
	ifposlen <- function(x) if(length(x)) return(x) else return(NULL)
	y@exprs <- ifposlen(from@data)
        dimnames(y@exprs) <-  dimnames(from@data)
        y@description <- as.character(unlist(from@metadata@fcsinfo))
        names(y@description) <- names(from@metadata@fcsinfo)
        y@description["$MODE"] <- as.character(from@metadata@mode)
        y@description["$PAR"] <- as.character(from@metadata@nparam)
        y
    })


