## get.num.modes returns the number of modes of the gaussian kernel estimate for a given data vector and bandwidth on the standardized scale
## modified  Nolwenn Le Meur 11.07.05

"get.num.modes" <-function(x,h){
    n<-length(x)
    medx<-median(x)
    madx<-mad(x)
    x<-(x-medx)/madx
    o<-order(x)
    t<-((25*(x[o[2]]+x[o[1]])):(25*(x[o[n-1]]+x[o[n]])))/50
    f.hat<-t
    num.modes<-0
    increasing<-TRUE
    f.hat[1]<-sum(dnorm((t[1]-x)/h))/n/h
    for(i in 2:length(t)){
        f.hat[i]<-sum(dnorm((t[i]-x)/h))/n/h
        num.modes<-num.modes+as.integer(increasing & f.hat[i]<f.hat[i-1])  
        increasing<-(f.hat[i]>f.hat[i-1])
    }
    num.modes
}
