## GGobi method is only useful if Rggobi is present.

#if (!require(Rggobi)) {
#  warning("Rggobi library not present: ggobi extensions not included.")
#} else {
#  cat("Activating Rggobi extensions")

if (FALSE) {  
  if (!isGeneric(ggobi)) {
    setGeneric("ggobi")
  }

  

  setClass("FCSggobi",
           representation(dataName="character",
                          ggobiLink="list"),
           prototype=list(dataName="Undefined",
             ggobiLink=list()))
  
  if (!isGeneric("ggobi")) {
    setGeneric("ggobi",
               function(fcsobject) {
                 standardGeneric("ggobi")
               })
  }

  setMethod("ggobi",
            signature(fcsobject="FCS"),
            function(fcsobject) {
              ggobi3.FCS(fcsobject)
            })
  
  ggobi3.FCS <- function(FCSobj,random.subset=FALSE,
                         subset.row=NULL, subset.col=NULL, ...) {
    if (!require(Rggobi)) {
      stop("The Rggobi library could not be found and is needed.")
    }
    
    cat("\n",
        "Warning: sometimes ggobi doesn't handle very huge datasets well.\n",
        "         If the process is taking a long time,\n",
        "         please subset further.\n\n")
    num.row <- dim.FCS(FCSobj)[1]
    num.col <- dim.FCS(FCSobj)[2]
    if (random.subset) {
      if (is.null(subset.row)==TRUE) {
        subset.row <- 1:round((num.row/15), 0)
        cat("Note: Roughly 1/15 of the rows are selected:",
            length(subset.row), " rows", "\n")
      }
      if (is.null(subset.col)==TRUE){
        subset.col <- 1:round((num.col/2), 0)
        cat("Note: Roughly 1/2 of the columns are selected.",
            length(subset.col), " columns", "\n\n")
      }
      selected.names <- colnames(FCSobj$data)[subset.col]
      cat("These columns are selected:",
          paste(selected.names, collapse=" /&/ "),
          "\n",
          "at the respective column postions:",
          paste(subset.col, collapse=" /&/ "),
          "\n\n")
      d.ggobi <- ggobi(FCSobj[subset.row,subset.col], ...)
    } else {
      d.ggobi <- ggobi(FCSobj@data, ...)
    }
    
    ## Make glyphs into particles
    setGlyphs.ggobi(type=rep(0,dim.FCS(FCSobj)[1]),
                    size=rep(0,dim.FCS(FCSobj)[1]))

    ## Make yellow
    setColors.ggobi(colors=rep(1,length(dim.FCS(FCSobj)[1])))

    d.ggobi
  }

  ##ggobi.gate <- function(ggobiObject, gateparams) {
  ##
  ##}

}



