rect.box.idx <- function(x1, x2, box.idx=NULL,
                         original.data.idx=1:length(x1),
                         border="black", lwd=3, ...){

  if (length(x2) != length(x1)){
    stop(paste("Length of x1,", length(x1), ", should equal length of x2, ", length(x2), sep=""))
  }

  if (is.null(box.idx)==TRUE){
    stop("The input 'box.idx' should be a vector of positional indices, not NULL")
  }
  range.x1 <-range(x1[original.data.idx %in% box.idx])
  range.x2 <- range(x2[original.data.idx %in% box.idx])

  rect(range.x1[1], range.x2[1], range.x1[2], range.x2[2], border=border, lwd=lwd, ...)

}
