\name{"coerce-methods"}
\docType{methods}
\alias{"coerce-methods"}
\alias{coerce-methods}
\alias{coerce,ANY,array-method}
\alias{coerce,ANY,call-method} 
\alias{coerce,ANY,character-method}
\alias{coerce,ANY,complex-method} 
\alias{coerce,ANY,environment-method}
\alias{coerce,ANY,expression-method} 
\alias{coerce,ANY,function-method}
\alias{coerce,ANY,integer-method} 
\alias{coerce,ANY,list-method}
\alias{coerce,ANY,logical-method} 
\alias{coerce,ANY,matrix-method}
\alias{coerce,ANY,name-method} 
\alias{coerce,ANY,numeric-method}
\alias{coerce,ANY,single-method} 
\alias{coerce,ANY,ts-method}
\alias{coerce,ANY,vector-method} 
\alias{coerce,ANY,NULL-method}

\title{Coercing an object class to another class}
\description{
  This method will coerce an object to a specific class using the
  following call:

  \code{as("class", object)}

  where "class" is a specific class detailed below, and 'object' is the
  specific object to be coerced.
  
}
\section{Methods}{
\describe{

\item{from = "ANY", to = "array"}{Coercion or force "ANY" object into "array" object}

\item{from = "ANY", to = "call"}{Coercion or force "ANY" object into "call" object }

\item{from = "ANY", to = "character"}{Coercion or force "ANY" object into "character" object}

\item{from = "ANY", to = "complex"}{Coercion or force "ANY" object into "complex" object}

\item{from = "ANY", to = "environment"}{Coercion or force "ANY" object into "environment" object}

\item{from = "ANY", to = "expression"}{Coercion or force "ANY" object into "expression" object}

\item{from = "ANY", to = "function"}{ Coercion or force "ANY" object into "function" object }

\item{from = "ANY", to = "integer"}{Coercion or force "ANY" object into "integer" object  }

\item{from = "ANY", to = "list"}{ Coercion or force "ANY" object into "list" object }

\item{from = "ANY", to = "logical"}{Coercion or force "ANY" object into "logical" object  }

\item{from = "ANY", to = "matrix"}{Coercion or force "ANY" object into "matrix" object  }

\item{from = "ANY", to = "name"}{Coercion or force "ANY" object into "matrix" object }

\item{from = "ANY", to = "numeric"}{ Coercion or force "ANY" object into "numeric" object }

\item{from = "ANY", to = "single"}{Coercion or force "ANY" object into "single" object }

\item{from = "ANY", to = "ts"}{Coercion or force "ANY" object into "ts" object  }

\item{from = "ANY", to = "vector"}{Coercion or force "ANY" object into "vector" object }

\item{from = "ANY", to = "NULL"}{Coercion or force "ANY" object into "NULL" object}

\item{from = "FCS", to = "matrix"}{Coercion or force "FCS" object into
  "matrix" object by returning only the data matrix of the "FCS" object}

\item{from = "FCS", to = "data.frame"}{Coercion or force "FCS" object into
  "data.frame" object by returning only the data data.frame of the "FCS" object }

\item{from = "matrix", to = "FCS"}{Coercion or force "matrix" object
  into "FCS" object by setting the "matrix" object as the 'data' slot and
  having a default 'metadata' slot of class "FCSmetadata". }

\item{from = "data.frame", to = "FCS"}{Coercion or force "data.frame" object
  into "FCS" object by setting the "data.frame" object as the 'data' slot and
  having a default 'metadata' slot of class "FCSmetadata".  }
}}
\keyword{methods}
