\name{"plot-methods"}
\docType{methods}
\alias{"plot-methods"}
\alias{plot-methods}
\alias{plot,ANY,ANY-method}


\title{Graphical representation of an object}
\description{
  The default action is a graphical plot of the object.
}

\section{Methods}{
  
\describe{

\item{x = "ANY", y = "ANY"}{A scatterplot or other graphical
  representation is produced.}

\item{x = "FCS", y = "missing"}{ The default action is contour-image pairs plotting for all the column
    variables.}
  
  \item{x = "FCS", y = "missing", image.parallel.plot=FALSE, joint=TRUE, ...}{
   
   An optional image parallel coordinates plotting (either marginal
   or joint) for each row/cell across all column variables can also be displayed.

   The optional signature details are listed below:
  
   \item{image.parallel.plot}{boolean; if true the image parallel coordinates
     plot will be implemented instead of default pairs plot; default
     value of FALSE}
   
   \item{joint}{boolean; if image.parallel.plot is TRUE, then this boolean establishes
     if the image parallel coordinates plot is joint or not}
  

   \item{...}{optional additional plot variables; See \code{\link{ImageParCoord}}
     or \code{\link{pairs.CSP}} for additional information on image parallel
     coordinates plotting and pairs contour-image plotting,
     respectively. }
 }
 \item{x="PRIM.step", y="missing"}{
   Trajectory plot using the 'trajectory.pl' function in the \pkg{rfcprim}
   pacakge is displayed for the step.
   
   
 }
 \item{x="PRIM.step.set", y="missing"}{
 Trajectory plot using the 'trajectory.pl' function in the \pkg{rfcprim}
 is displayed for the peeling
 and the expansion steps.
 }
 \item{x="PRIM.crossval.step", y="missing"}{
 Trajectory plot using the 'trajectory.pl' function in the \pkg{rfcprim}
 is displayed for the peeling
 and the expansion steps for each testdata set.
 }
 \item{x="PRIM.rule", y="missing"}{
   Trajectory plots for all 3 steps is displayed. 
 }
 
}}
\keyword{methods}
\keyword{hplot}
