\name{plot2sets.FCS}
\alias{plot2sets.FCS}

\title{Create a scatterplot to summaryze and compare two series of FCS
  objects}

\description{
  Create a scatterplot to summaryze and compare 1 paraneter from two
  series of FCS objects stored in 2 different plates. The points are colored according to their position in the plate (row or column number.)
}

\usage{
plot2sets.FCS(data1,data2,varpos=c(1),FUN,nrow=8,ncol=12,ind=c(1:96),col="row",labeling=TRUE,...)                      
}

\arguments{
  \item{data1}{a list of fluorescent data from one (or more) FCS
    object(s) or a cytoset}
  
  \item{data2}{a list of fluorescent data from one (or more) FCS
    object(s) or a cytoset}
  
  \item{varpos}{the numerical column variable position of the FCS objects}

  \item{FUN}{function to summaryze the distribution of the data, e.g. mean, median, IQR, MODE}

  \item{col}{character vector either "row" or "col"}

  \item{nrow}{numeric, number of rows per plate}
  
  \item{ncol}{numeric, number of columns per plate}

  \item{ind}{numeric vector, index of the wells to be plotted}

  \item{labeling}{logical, draw plate position (default= TRUE)}

  \item{...}{any other arguments are passed to the \code{\link{plot}}
  function}
}  


\value{
 None.
}

\author{Nolwenn Le Meur}


\seealso{\code{\link{plot}}}


\examples{
  ##Example I:
  ##data(flowcyt.data)

 ##Draw a scatterplot of the median values
 ##of the Foward scatter and the Side scatter parameters
 ##of each FCS file. The files correspond to samples store in a 96 well plate.
 ##plot2sets.FCS(flowcyt.data,varpos=c(1,2),FUN1=median,nrow=8,ncol=10,ind=c(1:80),col="row",pch="*",labeling=FALSE,xlim=c(0,300),ylim=c(0,300),main="FSCmedian vs.SSCmedian by row",xlab="SSC median",ylab="FSC median")

 
 }

\keyword{hplot}
