\name{standard}
\alias{standard}

\title{Estimate the critical bandwidth for specific number of modes }
\description{
  Standardize a numeric vector by its median and median absolute
  deviation (MAD). 
}

\usage{
standard(x)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ the data vector to be standardized }
}

\value{
  returns the standardized version of x
}
\references{ Silverman, B.W. (1981). Using Kernel Density Estimates to Investigate Multimodality. J. Royal Statistical Society B, 43, 97-99.}
\author{ Kevin Rader }

\seealso{ \code{\link{get.h}}, \code{\link{get.p}}, \code{\link{emp.f}}, \code{\link{get.num.modes}}}
\examples{
 set.seed(12345)
 x<-rnorm(50,2,3)
 x1<-standard(x)
 c(median(x1),mad(x1))
}
\keyword{math }
